Jump to content



Photo

New plug-in for creating homebrew cards


  • Please log in to reply
89 replies to this topic

#81 HilariousPete

HilariousPete

    Member

  • Members
  • 342 posts

Posted 20 November 2012 - 01:48 AM

I guess the most changes will be "under the hood" of SE. Chris Jennings wants to move from the model "AH, plus some other special extensions" to a more general framework where AH is an extension like any other game extension. So there will be API changes for me as programmer. I guess for you as users of the LotR plug-in, no dramatic changes will happen. With the transition to SE v 3, I also want to change the distribution of the plug-in (so it can be automatically downloaded through the SE catalogue browser). This will probably be the biggest change for users of my plug-in.

I didn't have the chance to download the AH game extension for SE v 3 (very lame internet here), so I can't say anything definite. But Chris Jennings has been doing an excellent job with SE and I suppose the next version will also be very good and have some improvements. One improvement is already visible for me: The installer exe is not 12, but only 4 MByte big, because the AH extension is not automatically shipped with it (but downloadable through the catalogue). That's nice if you have bad internet access :-)



#82 Hannibal_pjv

Hannibal_pjv

    Member

  • Members
  • 157 posts

Posted 26 November 2012 - 10:00 AM

 Thanks for information! Smaller footprint is allways nice in programs. If there are other improvements too, it seems to be nice!



#83 HilariousPete

HilariousPete

    Member

  • Members
  • 342 posts

Posted 23 January 2013 - 08:29 AM

Hello everyone,

it's been a while since my last update on the LotR CCC plug-in. There is a reason for this. After I finished my studies, I got a job and I'm working into the subject, which takes some time. This time is desperately missing for the plug-in, I haven't been working on it for at least two months. Since I want to concentrate on my job, and my interest in LotR is dwindling (one of the major point is that it is too much battle-focused when compared to e.g. MECCG for my taste - although the majority of people seems to really like that), I decided to give the plug-in in someone elses' hands, hopefully more motivated ones ;-)

I won't prescribe my potential successor what to do with the project - it will be his, then - but the next step's I'd do are inclusion of the encounter set symbols for HoN, soon also for the Hobbit 2, and the migration to SE 3.

Chris Jennings has been doing a pretty good job in writing SE and it is usually well documented, although there will be a lot of documents to work into at first. Of course I'm going to support my successor as good as I can. Such a person should be pretty familiar with at least 1 programming language (it is java / javascript, but that's not so important, I'm not a java programmer myself). Since I use the templates of GeckoTH, no graphics skills are required.

Is anyone of you interested to take over this project?

 

Kind Regards,

Pete



#84 legolas18

legolas18

    Member

  • Members
  • 338 posts

Posted 01 February 2013 - 09:27 AM

I've run in to a problem on Strange Eons. When I create a hero and then close the program, then open it again, I get this:

 

Uncaught java.lang.IllegalStateException: DIY component properties can only be modified in create(): DIY{script=LotR/hero.js, faceStyle=PLAIN_BACK}
DIY component properties can only be modified in create(): DIY{script=LotR/hero.js, faceStyle=PLAIN_BACK}
at res://LotR/hero.js:67
 
Because of this, I can't edit heroes anymore. I have to completely start over on them if I want to change something. I noticed someone else ran into this earlier in the thread, but I didn't see any replies to it.  
Any advice?

Playing an intense scenario, on the last stage, right when you notice you've been playing with two Bofurs the whole time.


#85 karagh

karagh

    Member

  • Members
  • 131 posts

Posted 01 February 2013 - 09:25 PM

legolas18 said:

I've run in to a problem on Strange Eons.

First, make sure you are using Strange Eons 2 to create and load your cards. The plugin is designed for Strange Eons 2, and it might not work properly in Strange Eons 3.



#86 karagh

karagh

    Member

  • Members
  • 131 posts

Posted 20 February 2013 - 05:59 AM

Plug-in version 2.5 published: http://www.4shared.c...rangeEons2.html

  • Baggins sphere added
  • latest official icons added
  • some bugs corrected: better linux support and better Spanish support


#87 maddd

maddd

    Member

  • Members
  • 3 posts

Posted 17 April 2013 - 08:55 PM

How exactly do you set the image to 100% transperency?



#88 maddd

maddd

    Member

  • Members
  • 3 posts

Posted 17 April 2013 - 08:58 PM

How exactly do you set it to 100% transperency?



#89 maddd

maddd

    Member

  • Members
  • 3 posts

Posted 17 April 2013 - 09:01 PM

How exactly do you set to transperency?



#90 karagh

karagh

    Member

  • Members
  • 131 posts

Posted 26 April 2013 - 10:37 PM

Version 2.51 up: http://www.4shared.c...rangeEons2.html

It's a minor update: I forgot adding the bilbo resource icon tag in 2.5.

  • Rememeber that this plug-in is for STRANGE EONS 2, NOT 3 .
  • You can download the proper program version for your system from the same 4shared Folder. If you use the Windows version, you have to download and install the proper Strange Eons 2.1 Java 7 Update file, if in doubt try first the 64 bit version.

 






© 2013 Fantasy Flight Publishing, Inc. Fantasy Flight Games and the FFG logo are ® of Fantasy Flight Publishing, Inc.  All rights reserved.
Privacy Policy | Terms of Use | Contact | User Support | Rules Questions | Help | RSS